<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>
	MovieMaze.de
  </Name>
  <HomePage>
	www.moviemaze.de
  </HomePage>
  <Language>
	German
  </Language>
  <Version>0.1</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>
	false
  </SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>
	true
  </SupportsRating>
  <!-- List of urls to search for movie -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.moviemaze.de/suche/result.phtml?searchword={0}</Url>
      <RegExp>3px;"&gt;&lt;a\shref="/filme(?&lt;Link&gt;.*?)"&gt;&lt;b.*?d;"&gt;(?&lt;Title&gt;.*?)&lt;/b</RegExp>
      <MoviePlotLink>
        <string>http://www.moviemaze.de/filme{0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage />
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>15</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>h1&gt;(?&lt;1&gt;.*?)&lt;/h1</RegExp_Title>
  <RegExp_OriginalTitle>h2&gt;[(](?&lt;1&gt;.*?),</RegExp_OriginalTitle>
  <RegExp_Year>h2&gt;[(].*?,\s(?&lt;1&gt;.*?)[)]</RegExp_Year>
  <RegExp_Runtime>&lt;nobr&gt;[\r\n\v\f]+.*?\t*(?&lt;1&gt;.*?)\sm</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>RT\sWERDEN.\s.*?&gt;(?&lt;1&gt;.*?)&lt;/div</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <Genres_MultipleMatches>true</Genres_MultipleMatches>
  <RegExp_Genres>Genre:.*?[\r\n\v\f]+.*?\t*&lt;td.*?[\r\n\v\f]+.*?\t*(?&lt;1&gt;.*?)\t</RegExp_Genres>
  <RegExp_Directors>Regie:.*?[\r\n\v\f]+.*?\t*?&lt;/td.*?[\r\n\v\f]+.*?\t*[\r\n\v\f]+.*?\t*(?&lt;1&gt;.*?)\t</RegExp_Directors>
  <Directors_Separator>,\s</Directors_Separator>
  <RegExp_Actors>Darsteller:.*?[\r\n\v\f]+.*?\t*?&lt;/td.*?[\r\n\v\f]+.*?\t*[\r\n\v\f]+.*?\t*(?&lt;1&gt;.*?)\t</RegExp_Actors>
  <Actors_Separator>,\s</Actors_Separator>

  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->

  <!--<RegExp_CoverLinkFront></RegExp_CoverLinkFront>
  <RegExp_CoverUrl>cing=.\swidth=.*?&gt;&lt;a\shref="/media/poster/(?&lt;1&gt;.*?)/</RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl>http://moviemaze.de/media/poster/{0}/1/.html</RegExp_HowGotoCoverUrl>
<RegExp_CoverUrl>&lt;tr&gt;&lt;td\salign="center"&gt;&lt;img\ssrc="(?&gt;1&lt;.*?)"\swidth=</RegExp_CoverUrl>
<RegExp_HowGotoCoverUrl>http://moviemaze.de{0}</RegExp_HowGotoCoverUrl>
<RegExp_CoverLinkFront2>http://moviemaze.de{0}</RegExp_CoverLinkFront2>-->

  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating>
    <string>title=".*?Wertung\svon\s(?&lt;1&gt;.*?)%</string>
  </RegExp_Rating>
  <RatingRate>0.09</RatingRate>

  <TitleEncoding>iso-8859-1</TitleEncoding>
  <ContentEncoding>iso-8859-1</ContentEncoding>
</MyMPConfig>